# Interface ReturnOptions

The type of the options parameter to [[ContractDecoder.decodeReturnValue|decodeReturnValue()]].

#### Hierarchy

- ReturnOptions

- Defined in decoder/lib/types.ts:204

#####
Index

### Properties

block?
status?

## Properties

### `Optional` block

block?: BlockSpecifier

The block in which the call was made. Defaults to "latest".

- Defined in decoder/lib/types.ts:208

### `Optional` status

status?: boolean

If included, tells the decoder to interpret the return data as the return data from a successful call (if `true` is passed) or as the return data from a failed call (if `false` is passed). If omitted or set to `undefined`, the decoder will account for both possibilities.

- Defined in decoder/lib/types.ts:216

Generated using TypeDoc